From 2e6f342024a075903910b94b37292efd3aa1f3a8 Mon Sep 17 00:00:00 2001
From: Masahiro Ikeda <ikedamsh@oss.nttdata.com>
Date: Thu, 23 Apr 2020 16:24:07 +0900
Subject: [PATCH] some wait events for timeline history file are not reported.

---
 src/backend/access/transam/timeline.c | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/src/backend/access/transam/timeline.c b/src/backend/access/transam/timeline.c
index de57d699af..f140100505 100644
--- a/src/backend/access/transam/timeline.c
+++ b/src/backend/access/transam/timeline.c
@@ -140,6 +140,8 @@ readTimeLineHistory(TimeLineID targetTLI)
 		if (*ptr == '\0' || *ptr == '#')
 			continue;
 
+		# Try to read a timeline history file.
+		# But, it doesn't report "WAIT_EVENT_TIMELINE_HISTORY_READ".
 		nfields = sscanf(fline, "%u\t%X/%X", &tli, &switchpoint_hi, &switchpoint_lo);
 
 		if (nfields < 1)
@@ -393,6 +395,8 @@ writeTimeLineHistory(TimeLineID newTLI, TimeLineID parentTLI,
 
 	nbytes = strlen(buffer);
 	errno = 0;
+	# Try to write a timeline history file.
+	# But, it doesn't report "WAIT_EVENT_TIMELINE_HISTORY_WRITE".
 	if ((int) write(fd, buffer, nbytes) != nbytes)
 	{
 		int			save_errno = errno;
-- 
2.24.2 (Apple Git-127)

